Page MenuHomePhabricator

Create variable for project name
Closed, ResolvedPublic

Description

Could be useful for global filters. Would return "enwiki" for English Wikipedia, "cswikiquote" for Czech Wikiquote etc.

Event Timeline

matej_suchanek raised the priority of this task from to Needs Triage.
matej_suchanek updated the task description. (Show Details)
matej_suchanek added a project: AbuseFilter.
matej_suchanek added a subscriber: matej_suchanek.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2015, 11:58 AM

No, I mean something like:

"wikiquote" in project_name /* wikiquotes only */

I wanted to suggest creating a global filter to tag adding local interwikis but not all projects have Wikidata Phase I done.

See T43172 which has been declined.

Aklapper triaged this task as Lowest priority.May 21 2015, 2:39 PM
Vituzzu set Security to None.

Change 558567 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Add site name and language variables

https://gerrit.wikimedia.org/r/558567

Daimona claimed this task.Dec 17 2019, 4:00 PM

Change 558567 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add site name and language variables

https://gerrit.wikimedia.org/r/558567

Daimona closed this task as Resolved.Feb 11 2020, 9:17 AM